package ovh.herisson.Clyde.Services.Msg;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.fasterxml.jackson.databind.util.JSONPObject;

import ovh.herisson.Clyde.Repositories.Msg.DiscussionRepository;
import ovh.herisson.Clyde.Tables.User;
import ovh.herisson.Clyde.Tables.Msg.Discussion;
import ovh.herisson.Clyde.Tables.Msg.Message;

@Service
public class DiscussionService {

	@Autowired
	private DiscussionRepository discRepo;

	public Discussion create(String name, User author){
		return discRepo.save(new Discussion(name, author));
	}

	public Iterable<Discussion> getOwned(User author){
		return discRepo.findByMembership(author.getRegNo());
	}

	public Discussion CreateMessage(Discussion disc, Message msg){
		disc.addMessage(msg);
		return discRepo.save(disc);
	}
}
